Bug 32429 - rpm 4.0.2 compile problem on Solaris 8 with vendor C compiler
rpm 4.0.2 compile problem on Solaris 8 with vendor C compiler
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
sparc Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-20 16:28 EST by Red Hat Bugzilla
Modified: 2008-03-13 15:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-21 08:58:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to comment out static declaration (322 bytes, patch)
2001-03-20 16:29 EST, Red Hat Bugzilla
no flags Details | Diff

  None (edit)
Description Red Hat Bugzilla 2001-03-20 16:28:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; OSF1 V5.1 alpha)

while compiling lib/install.c, the Sun Forte 6.1 C compiler flags the

"../rpmio/rpmio_internal.h", line 8: identifier redeclared: fdFileno
    current : static function(pointer to void) returning int
    previous: function(pointer to void) returning int : "../rpmio/rpmio.h",

Reproducible: Always
Steps to Reproduce:
1. ./configure; make

on sparc-sun-solaris2.8 with the full development environment.

Since it's declared static in the _internal header but then declared
without the
static qualifier in the public `rpmio.h' header, I just applied the
following patch:

--- rpm-4.0.2.orig/rpmio/rpmio_internal.h       Wed Jan 10 16:26:34 2001
+++ rpm-4.0.2/rpmio/rpmio_internal.h    Mon Mar 19 17:50:39 2001
@@ -5,7 +5,7 @@
  * \file rpmio/rpmio_internal.h
-static inline int fdFileno(void * cookie);
+/* static inline int fdFileno(void * cookie); */
 #include <rpmio.h>
 #include <rpmurl.h>
Comment 1 Red Hat Bugzilla 2001-03-20 16:29:12 EST
Created attachment 13163 [details]
patch to comment out static declaration
Comment 2 Red Hat Bugzilla 2001-03-20 17:48:24 EST
this is not a wolverine / Red Hat Linux bug.
Comment 3 Red Hat Bugzilla 2001-03-21 10:00:34 EST
The patch "works" but goes the wrong way. I wish to get fdFoo out of the API
using instead the fdio vectors. I've had to retrofit several routines in the
libraries in
order to control for API creep, but, as soon as I can manage a soname change,
fdFileno() et al will be accessible only through fdio vectors.

Deferred until then.
Comment 4 Red Hat Bugzilla 2001-05-15 08:52:59 EDT
> "this is not a wolverine / Red Hat Linux bug."

Is this a message for Red Hat internal use or does this mean that the inital
shouldn't have been posted here? If so on the RPM home page I read:
	Bugzilla, bug tracker for Red Hat, including RPM
so you should ask the RPM maintainers to fix their home page.

Best regards,
Comment 5 Red Hat Bugzilla 2001-05-15 13:48:02 EDT

Jeff Johnson has asked that all rpm-related problems be reported via Bugzilla.

The fact is that RPM has gone beyond being a RedHat-only or Linux-only thing to
an OpenSource package management system that's used on a wide variety of UNIX
Since there are no options for "other" in the OS/platform area, I just chose an
option that seemed
to be the "least wrong".

You're of course right that this isn't a RedHat or even Linux issue, but it is
an RPM quality issue.

Note You need to log in before you can comment on or make changes to this bug.